Bulk document actions
POST/api/v1/documents/bulk
POST /api/v1/documents/bulk
Performs bulk actions on an array of documents. Available actions are download, delete, restore, and archive.
When using the download action with multiple documents, the response will be a zip file containing all requested documents.
Request
Responses
- 200
- 401
- 403
- 422
- 429
- 5XX
- default
Returns the result of the bulk action. For download action, returns a zip file. For other actions, returns the affected document objects.
Response Headers
X-MINIMUM-CLIENT-VERSION
The API version
X-RateLimit-Remaining
The number of requests left for the time window.
X-RateLimit-Limit
The total number of requests in a given time window.
Authentication error
Authorization error
Validation error
Rate Limit Exceeded
Server error
Unexpected Error